const express = require('express')
const fs = require('fs');
const router = express.Router()

router.get('/',async (req,res) => {
    const project = JSON.parse( fs.readFileSync('./json/project.json').toString() )
    res.send(project)
})

router.post('/',async (req,res) => {
    const project = JSON.parse( fs.readFileSync('./json/project.json').toString() )

    // 받아온 값이 있을경우
    if(Object.keys(req.body).length !== 0 ){
        project.admin = req.body.admin
        project.aoiUid = req.body.aoiUid
        project.counter = req.body.counter
        project.createDate = req.body.createDate
        project.name = req.body.name
        project.state = req.body.state
        project.successDate = req.body.successDate
        project.uid = req.body.uid
        project.user = req.body.user
        project.infos = req.body.infos
        project.updateDate = new Date()
        project.total = req.body.total 
        project.success = req.body.success
        project.fail = req.body.fail
        project.result = req.body.result

        fs.writeFileSync('./json/project.json',JSON.stringify(project) , (err) =>{
            if ( err ) return err; 
        })
    }else{
        fs.writeFileSync('./json/project.json',JSON.stringify({}) , (err) =>{
            if ( err ) return err; 
        })
    }

    res.status(200).send(project)
})

module.exports = router