import axios from 'axios'

export default {
    async get() {
        try{
            const response = await axios.get('/project')
            return response.data
        }catch (e) { 
            console.log(e)
            throw e 
        }
    },

    async save(project , infos ) {
        if(Object.keys(project).length !== 0) project.infos = infos
        
        try{
            let repsone = await axios.post('/project',project)
            return repsone
        }catch(e){
           console.error(e.message)
        }
    }
} 